// CopyTestDlg.h : header file
//

#if !defined(AFX_COPYTESTDLG_H__0EBF6C06_1A25_4A5E_AA2F_624AA48DD570__INCLUDED_)
#define AFX_COPYTESTDLG_H__0EBF6C06_1A25_4A5E_AA2F_624AA48DD570__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CCopyTestDlg dialog

class CCopyTestDlg : public CDialog
{
// Construction
public:
	CCopyTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCopyTestDlg)
	enum { IDD = IDD_COPYTEST_DIALOG };
	CEdit	m_TargetEdit;
	CEdit	m_SourceEdit;
	UINT	m_uBufSize;
	CString	m_SourceFile;
	CString	m_TargetFile;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCopyTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCopyTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSourcemoreButton();
	afx_msg void OnTargetmoreButton();
	afx_msg void OnCopyButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COPYTESTDLG_H__0EBF6C06_1A25_4A5E_AA2F_624AA48DD570__INCLUDED_)
